/*
 * Copyright (c) 2012-2014 Wind River Systems, Inc.
 * Copyright (c) 2020 Prevas A/S
 *
 * SPDX-License-Identifier: Apache-2.0
 */

#include <zephyr/kernel.h>
#include <zephyr/device.h>
#include <zephyr/timing/timing.h>
#include "common.h"

static uint32_t netCoreVersion;

void main(void)
{
#ifdef CONFIG_MCUMGR_SMP_BT
    start_smp_bluetooth_adverts();
#endif
    /* using __TIME__ ensure that a new binary will be built on every
     * compile which is convenient when testing firmware upgrade.
     */
    printk("Hello  %s\n", CONFIG_BOARD);
    printk("build time: " __DATE__ " " __TIME__ "\n");
    /* The system work queue handles all incoming mcumgr requests.  Let the
     * main thread idle while the mcumgr server runs.
     */
    k_sleep(K_MSEC(1000));
    netCoreVersion = *(uint32_t *)0x2007fff8;
    printk("Net Core Version:0x%x, %d.%d\n", netCoreVersion, (netCoreVersion & 0xFFFF) >> 8, netCoreVersion & 0xFF);
    printk("APP CoreVersion:%s\n", CONFIG_MCUBOOT_IMAGE_VERSION);
    while (1)
    {
        k_sleep(K_MSEC(1000));
    }
}
